.timeline {
	position: relative;
	max-width: 1200px;
	margin: 2rem auto;
	padding: 2rem 0;

	/* The actual timeline (the vertical ruler) */
	&::after {
		content: "";
		position: absolute;
		width: 6px;
		background-color: color(blue);
		top: 0;
		bottom: 0;
		left: 50%;
		margin-left: -3px;
	}

	/* Container around content */
	.container {
		padding: 0.5rem 40px;
		position: relative;
		background-color: inherit;
		width: 50%;

		&.right::after {
			left: 0;
			transform: translateX(-50%);
		}

		@each $color in $rainbowColors {
			$i: index($rainbowColors, $color);

			&:nth-of-type(#{$i}n) {
				.content {
					background-color: $color;
					color: color(light);
					@if $i == 5 {
						color: color(black);
					}
				}

				&.right::before {
					border-color: transparent $color transparent transparent;
				}
				&.left::before {
					border-color: transparent transparent transparent $color;
				}
			}
		}

		// circles
		$_width : 12px;
		&::after {
			content: "";
			position: absolute;
			width: $_width;
			height: $_width;
			right: 0;
			transform: translateX(50%);
			background-color: white;
			border: 6px solid color(blue);
			top: 15px;
			border-radius: 50%;
			z-index: 1;
		}

		/* Place the container to the left */
		&.left {
			left: 0;
		}

		/* Place the container to the right */
		&.right {
			left: 50%;
		}
	}



	/* Add arrows to the left container (pointing right) */
	.left::before {
		content: " ";
		height: 0;
		position: absolute;
		top: 18px;
		width: 0;
		z-index: 1;
		right: 30px;
		border: medium solid white;
		border-width: 10px 0 10px 10px;
		border-color: transparent transparent transparent white;
	}

	/* Add arrows to the right container (pointing left) */
	.right::before {
		content: " ";
		height: 0;
		position: absolute;
		top: 18px;
		width: 0;
		z-index: 1;
		left: 30px;
		border: medium solid white;
		border-width: 10px 10px 10px 0;
		border-color: transparent white transparent transparent;
	}

	/* The actual content */
	.content {
		padding: 1rem 2rem;
		position: relative;
		border-radius: 8px;
	}

	/* Media queries - Responsive timeline on screens less than 600px wide */
	@include mobile {

		/* Place the timelime to the left */
		&::after {
			left: 2rem;
		}

		/* Full-width containers */
		.container {
			width: 100%;
			padding-left: 70px;
			padding-right: 25px;

			&::after {
				left: 2rem !important;
				transform: translateX(-50%) !important;
			}

			/* Make all right containers behave like the left ones */
			&.right {
				left: 0 !important;
			}
		}

		/* Make sure that all arrows are pointing leftwards */
		.container {
			&::before {
				left: 60px;
				border: medium solid white;
				border-width: 10px 10px 10px 0 !important;
			}

			@each $color in $rainbowColors {
				$i: index($rainbowColors, $color);
				&:nth-of-type(#{$i}n) {
					&::before {
						border-color: transparent $color transparent transparent !important;
					}
				}
			}
		}

		/* Make sure all circles are at the same spot */
		.content::after {
			left: 2rem;
			transform: none !important;
		}
}

}